Subject: Re: bug#14986: Latest Emacs trunk crashes when changing Ispell dictionary
From: Paul Eggert <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Sebastien Vauban <[email-masked]>, [email-masked]
Date: Wed, 31 Jul 2013 00:00:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 07/30/2013 10:01 PM, Eli Zaretskii wrote:
> Why is this trickery needed for platforms that use mktemp?
I don't know; I think it may predate emacs_close,
but no matter, I checked in what I assume is a fix
in trunk bzr 113605, and am boldly closing the bug;
please feel free to reopen it if the fix doesn't work.

A couple of things.  First, callproc.c and process.c are rife
with race condition bugs that leak file descriptors and/or
files.  I'll try to compose a fix for that.

Second, any chance of getting mkostemp or at least mkstemp
working on Microsoft platforms?  Surely mktemp is inherently
prone to races.